html {
    scroll-behavior: auto!important;
}

/* Custom Styles for Navigation Menu */
.site-header {
    position: fixed;
    top: 0;
    z-index: 99;
    width: 100%;
    transition: all 0.6s ease;
    

    .wp-block-site-logo {
        transition: all 0.6s ease;
        a {
            img {
                transition: all 0.6s ease;
            }
        }
    }

    nav {
        backdrop-filter: blur(5px);
        transition: all 0.6s ease;
        border-radius: 8px 8px 8px 0;
        padding: 16px 24px;
        background-color: rgba(255, 255, 255, 0);
        border: 1px solid rgba(255, 255, 255, 0);

        &::after {
            content: "";
            display: flex;
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            width: 100%;
            height: 5px;
            background-color: rgba(0, 156, 255, 0.1);
        }

        .wp-block-navigation__responsive-container-open {
            padding: 16px;
        }

        .wp-block-navigation__responsive-container,
        .wp-block-navigation__responsive-container-close {
            background-color: transparent!important;
        }

        .wp-block-navigation__responsive-container:not(.is-menu-open.is-menu-open) {
            background-color: transparent!important;
        }

        .wp-block-navigation-item {
            border: 1px solid rgba(255, 255, 255, 0);
            transition: all 0.6s ease;
            &.current-menu-item {
                background-color: rgba(0, 156, 255, 0.1);
                border-radius: 8px 8px 8px 0;
            }

            &:hover {
                background-color: rgba(0, 156, 255, 0.1);
                border: 1px solid rgba(255, 255, 255, 0.5);
                border-radius: 8px 8px 8px 0;
            }

            .wp-block-navigation-item__content {
                padding: 16px;
            }

            .wp-block-navigation-item__content:hover {
                text-decoration: none;
            }

        }
        
        
    }
    &:hover {
        nav {
            background-color: rgba(255, 255, 255, 0.1);
            border: 1px solid rgba(255, 255, 255, 0.5);
        }
        
    }
}

.site-header.scrolled {
    transition: all 0.6s ease;
    .wp-block-site-logo {
        a {
            img {
                width: 75px!important;
            }
        }
    }

    nav {
        padding: 10px;
    }
}


/* Custom Styles for Gsap Animation */
.animation-section {
  position: relative;
  height: 100vh;
  overflow: hidden;
}

.laptop-robot-container {
    width: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#head {
    transform: rotate(45deg);
    transform-origin: 46% 40%!important;
    /* opacity: 0; */
}

#robot-body {
    transform: scale(0.8) translate(-102px, 306px);
    /* opacity: 0; */
}

#right-arm {
    transform-origin: 50px 30px!important; 
}

#left-arm {
    transform-origin: 50% 45%!important; 
    transform: rotate(-40deg);
}

#right-hand {
    /* opacity: 0; */
}

#left-leg {
    transform-origin: 50% 45%!important; 
    transform: rotate(40deg);
}

#right-middle {
    transform-origin: 43% 65%!important;
}

#right-ring {
    transform-origin: 43% 65%!important;
}

#right-pinky {
    transform-origin: 43% 65%!important;
}

#right-leg {
    transform-origin: 40% 53%!important; 
}